| Flutter Windows Embedder |

Public Types | Public Member Functions | List of all members
flutter::KeyboardManager::WindowDelegate Class Referenceabstract

`#include <keyboard_manager.h>`

Inheritance diagram for flutter::KeyboardManager::WindowDelegate:

## Public Types
using | KeyEventCallback = std::function< void(bool)>

## Public Member Functions
virtual | ~WindowDelegate ()=default
virtual void | OnText (const std::u16string &text)=0
virtual void | OnKey (int key, int scancode, int action, char32_t character, bool extended, bool was_down, KeyEventCallback callback)=0
virtual BOOL | Win32PeekMessage (LPMSG lpMsg, UINT wMsgFilterMin, UINT wMsgFilterMax, UINT wRemoveMsg)=0
virtual uint32_t | Win32MapVkToChar (uint32_t virtual_key)=0
virtual UINT | Win32DispatchMessage (UINT Msg, WPARAM wParam, LPARAM lParam)=0

## Detailed Description

Definition at line 52 of file keyboard_manager.h.

## Member Typedef Documentation

## ◆ KeyEventCallback

using flutter::KeyboardManager::WindowDelegate::KeyEventCallback = std::function<void(bool)>

Definition at line 54 of file keyboard_manager.h.

## Constructor & Destructor Documentation

## ◆ ~WindowDelegate()

virtual flutter::KeyboardManager::WindowDelegate::~WindowDelegate | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ OnKey()

virtual void flutter::KeyboardManager::WindowDelegate::OnKey | ( | int | key,
|  | int | scancode,
|  | int | action,
|  | char32_t | character,
|  | bool | extended,
|  | bool | was_down,
|  | KeyEventCallback | callback
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ OnText()

virtual void flutter::KeyboardManager::WindowDelegate::OnText | ( | const std::u16string & | text | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

## ◆ Win32DispatchMessage()

virtual UINT flutter::KeyboardManager::WindowDelegate::Win32DispatchMessage | ( | UINT | Msg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindow.

Referenced by flutter::KeyboardManager::HandleMessage(), and flutter::KeyboardManager::RedispatchEvent().

## ◆ Win32MapVkToChar()

virtual uint32_t flutter::KeyboardManager::WindowDelegate::Win32MapVkToChar | ( | uint32_t | virtual_key | ) |
| pure virtual

Implemented in flutter::FlutterWindow.

Referenced by flutter::KeyboardManager::HandleMessage().

## ◆ Win32PeekMessage()

virtual BOOL flutter::KeyboardManager::WindowDelegate::Win32PeekMessage | ( | LPMSG | lpMsg,
|  | UINT | wMsgFilterMin,
|  | UINT | wMsgFilterMax,
|  | UINT | wRemoveMsg
| ) |  |
| pure virtual

Implemented in flutter::FlutterWindow.

The documentation for this class was generated from the following file:

- shell/platform/windows/keyboard_manager.h